__NAND_CORRECT_DATA(9)

NAME
__nand_correct_data - [NAND Interface] Detect and correct bit error(s)

SYNOPSIS

int __nand_correct_data(unsigned char * buf, unsigned char * read_ecc, unsigned char * calc_ecc, unsigned int eccsize);

ARGUMENTS

buf
    raw data read from the chip

read_ecc
    ECC from the chip

calc_ecc
    the ECC calculated from raw data

eccsize
    data bytes per ECC step (256 or 512)

DESCRIPTION

Detect and correct a 1 bit error for eccsize byte block

AUTHOR

Thomas Gleixner <tglx@linutronix.de>
    Author.

COPYRIGHT